-- Ŀ
--  FLI2AVI.EX V1.02 (C) 1999 Legend Interactive       FLI to AVI Convertion 
-- 
-- This little program uses our Play-FLI and Save-AVI libs to convert a
-- FLI animation into Windows 8-Bit raw AVI

include Play-FLI.E
include Save-AVI.E
include get.e

integer  junk,ofh
sequence fn,ifn,ofn,Anim

fn = prompt_string("Enter FLI animation file to convert (Don't include .FLI)>")
if length(fn) < 1 then
  abort(1)
end if

ifn = fn & ".FLI"
ofn = fn & ".AVI"

junk = graphics_mode(19)
text_color(255)

Anim = OpenPicFLI(ifn) -- Open FLI animation
Anim = NextFrameFLI(Anim) -- Put up first frame for palette info
Anim[aFrame] = 1 -- Reset frame pointer to frame 1

AviBitsPerPixel = 8
ofh = SaveHeaderAVI(ofn,Anim[aXsize],Anim[aYsize],Anim[aFrames]) -- Create AVI
if ofh < 1 then
  puts(1,"Can't write to file !\n")
  abort(1)
end if
for frame = 1 to Anim[aFrames] do -- Step through all frames
  Anim = NextFrameFLI(Anim) -- Get next FLI frame to screen
  position(1,4) -- You can remove this stuff if you want
  puts(1," Animation by Legend Interactive ")
  position(25,8)
  puts(1," www.legend-i.demon.co.uk ")
  SaveScreenAVI(ofh) -- Save screen image to AVI frame
end for
Anim = ClosePicFLI(Anim) -- Close FLI animation
CloseHeaderAVI(ofh) -- Close AVI movie

junk = graphics_mode(-1)

