-- Ŀ
--  Numeric2.E V1.00 (C) 1997 PJB Systems                                     
-- 

integer Power8            Power8  = power(2,8)
integer Power16           Power16 = power(2,16)
integer Power23           Power23 = power(2,23)
integer Power24           Power24 = power(2,24)

sequence byte             byte = {}

-- Read Signed byte from file FN ---------------------------------------------
global function ReadSgnByte(atom fn)
  integer b
  b = getc(fn)
  if b > 127 then
    return b - 256
  else
    return b
  end if
end function

-- Read Intel integer from file FN --------------------------------------------
global function ReadIntI86(atom fn)
  return getc(fn) + (getc(fn) * Power8)
end function

-- Read Motorola integer from file FN -----------------------------------------
global function ReadIntM68(atom fn)
  return (getc(fn) * Power8) + getc(fn)
end function

-- Read Intel long-int from file FN -------------------------------------------
global function ReadLongI86(atom fn)
  return getc(fn) + (getc(fn)*Power8) + (getc(fn)*Power16) + (getc(fn)*Power24)
end function

-- Read Motorola long-int from file FN ----------------------------------------
global function ReadLongM68(atom fn)
  return  (getc(fn)*16777216) + (getc(fn)*65536) + (getc(fn)*256) + getc(fn)
end function

-- Write Intel long-int N to file FN ------------------------------------------
global procedure WriteLongI86(atom fn,atom n)
  puts(fn,remainder(n,256))
  n = n / 256
  puts(fn,remainder(n,256))
  n = n / 256
  puts(fn,remainder(n,256))
  n = n / 256
  puts(fn,n)
end procedure

-- Write Motorola long-int N to file FN ---------------------------------------
global procedure WriteLongM68(atom fn,atom n)
  integer b1,b2,b3,b4
  b1 = remainder(floor(n),256)
  n = n / 256
  b2 = remainder(floor(n),256)
  n = n / 256
  b3 = remainder(floor(n),256)
  n = n / 256
  b4 = remainder(floor(n),256)
  puts(fn,b4)
  puts(fn,b3)
  puts(fn,b2)
  puts(fn,b1)
end procedure

-- Write int N to file FN -----------------------------------------------------
global procedure WriteIntI86(atom fn,atom n)
  puts(fn,remainder(n,256))
  n = n / 256
  puts(fn,n)
end procedure

-- Write Motorola int N to file FN --------------------------------------------
global procedure WriteIntM68(atom fn,atom n)
  integer b1,b2
  b1 = remainder(floor(n),256)
  n = n / 256
  b2 = remainder(floor(n),256)
  puts(fn,b2)
  puts(fn,b1)
end procedure


