-- Ŀ
--  TEST-AVI.EX V1.00 (C) 1999 Legend Interactive    Test jig for Play-AVI.E 
-- 
include machine.e
include Play-AVI.E

integer  junk,Handle
sequence cmd,ifn
atom     fps,StartTime,EndTime, RunTime

ifn = {}
cmd = command_line()
if length(cmd) > 2 then -- Get filename from command line
  ifn = cmd[3]
end if

if length(ifn) < 1 then -- Ask user for filename
  ifn = prompt_string("Enter filename >")
end if

if length(ifn) < 1 then -- Bail out !
  abort(1)
end if

junk = graphics_mode(19)

Handle = OpenPicAVI(ifn)
if Handle < 1 then
  junk = graphics_mode(-1)
  printf(1,"Can't open %s !\n",{ifn})
  abort(1)
end if

tick_rate(100)
StartTime = time()
for f = 1 to AviFrames  do
  NextFrameAVI(Handle)
end for
EndTime = time()
ClosePicAVI(Handle)
tick_rate(0)

junk = graphics_mode(-1)
RunTime = (EndTime - StartTime)
fps = AviFrames / RunTime

puts  (1,"Test complete.\n")
printf(1,"Size (Pixels) = %d x %d \n",{AviWidth,AviHeight})
printf(1,"Bits / Pixel  = %d\n",{AviBitsPerPixel})
printf(1,"AVI Type      = %s\n",{AviType})
printf(1,"AVI Codec     = %s\n",{AviHandler})
printf(1,"Frames        = %d\n",{AviFrames})
printf(1,"Run Time (s)  = %f\n",{RunTime})
printf(1,"Required FPS  = %d\n",{AviFramesPerSecond})
printf(1,"Actual FPS    = %f\n",{fps})

