-- Ŀ
--  TEST-FLI.EX V1.02 by Peter Blue                  Test jig for Play-FLI.E 
-- 
-- [101] 1999-06-01  Minor enhancements
-- [102] 1999-06-17  Minor bug fix

include Play-FLI.E
include get.e

integer  key,junk
sequence cmd,ifn,Anim
atom     fdelay,fps

ifn = {}
cmd = command_line()
if length(cmd) > 2 then -- Get filename from command line
  ifn = cmd[3]
end if

if length(ifn) < 1 then -- Ask user for filename
  ifn = prompt_string("Enter filename >")
end if

if length(ifn) < 1 then -- Bail out !
  abort(1)
end if

junk = graphics_mode(19)

key = 0

Anim = OpenPicFLI(ifn)
if Anim[aHandle] < 1 then
  key = 27
end if

fps = Anim[aRFpS]
if fps < 1 then
  fps = 20
end if

while key != 27 do
  fdelay = time() + (1 / fps)
  
  Anim = NextFrameFLI(Anim)
  
  key = get_key()
  if key = '0' then
    fps = Anim[aRFpS]
  elsif (key >= '1') and (key <= '9') then
    fps = (key - '0') * 5
  end if
  
  while time() < fdelay do
  end while
end while
Anim = ClosePicFLI(Anim)
junk = graphics_mode(-1)

printf(1,"Frames = %d\nSize = %d x %d\nRequired FPS %f\nActual FPS %f\n",
      {Anim[aFrames],Anim[aXsize],Anim[aYsize],Anim[aRFpS],fps})
      
